View Issue Details

IDProjectCategoryView StatusLast Update
0014774CentOS-7-OTHERpublic2018-05-18 16:10
Reporterdylanmtaylor 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0014774: cockpit should NOT depend on subscription-manager on CentOS
Descriptionsubscription-manager is currently a dependency on CentOS for Cockpit. This is clearly wrong, since there are no subscriptions to manage.
TagsNo tags attached.
abrt_hash
URL

Activities

pcmoore

pcmoore

2018-05-15 14:53

reporter   ~0031821

Not only is this conceptually wrong, it is preventing the "Software Updates" functionality in cockpit from working: "Updates are disabled. You need to re-subscribe this system.".
JohnnyHughes

JohnnyHughes

2018-05-15 16:36

administrator   ~0031825

what version of cockpit do you have installed and for what purpose.
pcmoore

pcmoore

2018-05-15 18:23

reporter   ~0031831

I'm running the cockpit packages that ship with CentOS 7.5, and I'm using cockpit to manage my system. System and package information is below.

>>>
# cat /etc/redhat-release
CentOS Linux release 7.5.1804 (Core)
# rpm -qa | grep cockpit
cockpit-machines-160-3.el7.centos.x86_64
cockpit-bridge-160-3.el7.centos.x86_64
cockpit-ws-160-3.el7.centos.x86_64
cockpit-160-3.el7.centos.x86_64
cockpit-storaged-160-3.el7.centos.noarch
cockpit-packagekit-160-3.el7.centos.x86_64
cockpit-system-160-3.el7.centos.noarch
cockpit-dashboard-160-3.el7.centos.x86_64
# yum remove subscription-manager
Loaded plugins: fastestmirror, product-id, search-disabled-repos, subscription-
              : manager, verify
This system is not registered with an entitlement server. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package subscription-manager.x86_64 0:1.20.11-1.el7.centos will be erased
--> Processing Dependency: subscription-manager >= 1.13 for package: cockpit-system-160-3.el7.centos.noarch
--> Running transaction check
---> Package cockpit-system.noarch 0:160-3.el7.centos will be erased
--> Processing Dependency: cockpit-shell >= 122 for package: cockpit-storaged-160-3.el7.centos.noarch
--> Processing Dependency: cockpit-system >= 122 for package: cockpit-machines-160-3.el7.centos.x86_64
--> Processing Dependency: cockpit-system = 160-3.el7.centos for package: cockpit-160-3.el7.centos.x86_64
--> Running transaction check
---> Package cockpit.x86_64 0:160-3.el7.centos will be erased
---> Package cockpit-machines.x86_64 0:160-3.el7.centos will be erased
---> Package cockpit-storaged.noarch 0:160-3.el7.centos will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package Arch Version Repository Size
================================================================================
Removing:
 subscription-manager x86_64 1.20.11-1.el7.centos @base 4.2 M
Removing for dependencies:
 cockpit x86_64 160-3.el7.centos @extras 46 k
 cockpit-machines x86_64 160-3.el7.centos @extras 285 k
 cockpit-storaged noarch 160-3.el7.centos installed 204 k
 cockpit-system noarch 160-3.el7.centos @extras 1.0 M

Transaction Summary
================================================================================
Remove 1 Package (+4 Dependent packages)

Installed size: 5.7 M
Is this ok [y/N]:
Exiting on user command
>>>
TrevorH

TrevorH

2018-05-15 19:03

developer   ~0031832

There was a new version of cockpit released yesterday that will be built and available via the repos soon and I believe the plan is to turn off the requirement for subscription manager in that build (if it works).

https://access.redhat.com/errata/RHBA-2018:1424
JohnnyHughes

JohnnyHughes

2018-05-18 15:09

administrator   ~0031871

yes ... the EXTRAS version should not require subscription-manager .. the base version does (right now)

The next time we do a new os/ we will mod the version of cockpit in base to NOT require subscription-manager-cockpit as well as the extras version.
pcmoore

pcmoore

2018-05-18 16:10

reporter   ~0031873

Forgive me, I'm not familiar with the CentOS release/update process ... does this mean we need to wait for CentOS-7.6 to get this fixed in base, or will the fix ship as part of a cockpit update during the 7.5 lifetime?

Issue History

Date Modified Username Field Change
2018-05-11 23:14 dylanmtaylor New Issue
2018-05-15 14:53 pcmoore Note Added: 0031821
2018-05-15 16:36 JohnnyHughes Note Added: 0031825
2018-05-15 18:23 pcmoore Note Added: 0031831
2018-05-15 19:03 TrevorH Note Added: 0031832
2018-05-18 15:09 JohnnyHughes Note Added: 0031871
2018-05-18 16:10 pcmoore Note Added: 0031873